Bug 1313437 - Test suite failure: posix/tst-getaddrinfo5
Test suite failure: posix/tst-getaddrinfo5
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
26
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: glibc team
Fedora Extras Quality Assurance
:
Depends On: 1313393
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 10:28 EST by Carlos O'Donell
Modified: 2018-05-03 05:14 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1313393
Environment:
Last Closed: 2018-05-03 05:14:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos O'Donell 2016-03-01 10:28:46 EST
+++ This bug was initially created as a clone of Bug #1313393 +++

On 32-bit armv7hl the posix/tst-getaddrinfo5 test failus with:

resolving "localhost." failed, skipping this hostname
resolving "www.gnu.org." failed, skipping this hostname

This is odd, but perhaps the builders have a restricted build environment.

We should investigate this and consider rewriting the test.

--- Additional comment from Carlos O'Donell on 2016-03-01 09:21:59 EST ---

Also seen on on x86_64.

--- Additional comment from Carlos O'Donell on 2016-03-01 09:22:22 EST ---

Also seeon on i686.

--- Additional comment from Florian Weimer on 2016-03-01 09:26:51 EST ---

This test should really fail everywhere.  If it does not, it means the builder has working DNS resolution and potentially more extensive Internet access, which is not what we want.

We can fix this test easily once we have the resolver harness integrated.
Comment 1 Jan Kurik 2016-07-26 00:09:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 2 Fedora End Of Life 2017-02-28 04:55:15 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 3 Fedora End Of Life 2018-05-03 04:49:16 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Florian Weimer 2018-05-03 05:14:39 EDT
The test works as long as localhost. can be resolved in the chroot, which apparently it does today.  I have not seen these failures resurface.

Note You need to log in before you can comment on or make changes to this bug.